Actualizar datos de la empresa
PUT
/companies/{id}
const url = 'https://api.matiasimpulso.com/companies/1';const options = { method: 'PUT', headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'}, body: '{"name":"example","phone":"example","email":"hello@example.com","document":"example","paymentMethod":"example","status":true,"planId":1,"dueDate":"example","recurrence":"example","schedules":{},"folderSize":"example","numberFileFolder":"example","updatedAtFolder":"example","website":"example","countryId":1,"industryId":1,"language":"example","taxId":"example","legalName":"example","legalEntityTypeId":1,"teamSize":"solo","description":"example","timezone":"example","billingEmail":"hello@example.com","contactName":"example","contactRole":"example","addressLine":"example","city":"example","stateRegion":"example","departmentId":1,"municipalityId":1,"postalCode":"example","acquisitionSource":"example","referralCode":"example","utmSource":"example","utmMedium":"example","utmCampaign":"example","utmTerm":"example","utmContent":"example"}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request PUT \ --url https://api.matiasimpulso.com/companies/1 \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --data '{ "name": "example", "phone": "example", "email": "hello@example.com", "document": "example", "paymentMethod": "example", "status": true, "planId": 1, "dueDate": "example", "recurrence": "example", "schedules": {}, "folderSize": "example", "numberFileFolder": "example", "updatedAtFolder": "example", "website": "example", "countryId": 1, "industryId": 1, "language": "example", "taxId": "example", "legalName": "example", "legalEntityTypeId": 1, "teamSize": "solo", "description": "example", "timezone": "example", "billingEmail": "hello@example.com", "contactName": "example", "contactRole": "example", "addressLine": "example", "city": "example", "stateRegion": "example", "departmentId": 1, "municipalityId": 1, "postalCode": "example", "acquisitionSource": "example", "referralCode": "example", "utmSource": "example", "utmMedium": "example", "utmCampaign": "example", "utmTerm": "example", "utmContent": "example" }'Actualiza la información corporativa y fiscal de la empresa. Los campos de plataforma (plan, estado, vencimiento) solo se aplican si el solicitante es super administrador.
Authorizations
Sección titulada « Authorizations »Parameters
Sección titulada « Parameters »Path Parameters
Sección titulada « Path Parameters » id
required
number
ID numérico de la empresa.
Request Bodyrequired
Sección titulada « Request Bodyrequired » Media type application/json
object
name
string
phone
string
email
string format: email
document
string
paymentMethod
string
status
boolean
planId
number
dueDate
string
recurrence
string
schedules
object
folderSize
string
numberFileFolder
string
updatedAtFolder
string
website
string
countryId
number
industryId
number
language
string
taxId
string
legalName
string
legalEntityTypeId
Debe valer para el país de la empresa o ser común (lo comprueba el servicio).
number
teamSize
string
description
Los agentes de IA la usan si no tienen descripción propia.
string
timezone
Zona IANA (America/Bogota). Nula: la del país. La valida el servicio.
string
billingEmail
string format: email
contactName
string
contactRole
string
addressLine
string
city
string
stateRegion
string
departmentId
Departamento del catalogo; debe ser del pais de la empresa (lo comprueba el servicio).
number
municipalityId
Municipio del catalogo; debe ser del departamento (lo comprueba el servicio).
number
postalCode
string
acquisitionSource
string
referralCode
string
utmSource
string
utmMedium
string
utmCampaign
string
utmTerm
string
utmContent
string
Responses
Sección titulada « Responses »Empresa actualizada exitosamente.
Datos de actualización inválidos.
No autenticado.
Permisos insuficientes (requiere rol administrador).
Empresa no encontrada o ajena al tenant autenticado.